import http from "@/api/http.js";
/* 权益小程序管理  视频列表模块*/

export default {
  /* 视频列表 */
  videoList: (params) => {
    return http.get("/cygx/microRoadshow/video/list", params);
  },
  /* 音频列表 */
  voiceList: (params) => {
    return http.get("/cygx/microRoadshow/voice/list", params);
  },
  /* 添加视频 */
  addVideo: (params) => {
    return http.post("/cygx/microRoadshow/video/add", params);
  },
  /* 编辑视频 */
  editVideo: (params) => {
    return http.post("/cygx/microRoadshow/video/edit", params);
  },
  /* 发布视频 */
  videoPublish: (params) => {
    return http.get("/cygx/microRoadshow/video/publish", params);
  },
  /* 视频详情列表 */
  videoDeatil: (params) => {
    return http.get("/cygx/microRoadshow/video/deatil", params);
  },
  /* 音频详情列表 */
  voiceDeatil: (params) => {
    return http.get("/cygx/microRoadshow/voice/deatil", params);
  },
  /* 活动视频列表 */
  getActivityVideo: (params) => {
    return http.get("/cygx/activityVideo/list", params);
  },
  /* 活动视频播放详情 */
  activityVideoDeatil: (params) => {
    return http.get("/cygx/activityVideo/deatil", params);
  },
  /* 微路演视频留言列表 */
  getMicroRoadshowVideo: (params) => {
    return http.get("/cygx/microRoadshow/commentList/video", params);
  },
  /* 微路演音频频留言列表 */
  getMicroRoadshowVoice: (params) => {
    return http.get("/cygx/activityVideo/commentList", params);
  },
  /* 微路演视频留言列表 */
  getMicroRoadshowCommentList: (params) => {
    return http.get("/cygx/microRoadshow/commentList/voice", params);
  },
  /* 微路演问答列表 */
  askserie_videoList: (params) => {
    return http.get("/cygx/askserie_video/list", params);
  },
  /* 播放记录详情 */
  askserie_videoHistory_list: (params) => {
    return http.get("/cygx/askserie_video/history_list", params);
  },
  /*问答留言详情 */
  askserieVideoCollectionList: (params) => {
    return http.get("/cygx/askserie_video/collection_list", params);
  },
  /*问答详情 */
  askserieVideoDetail: (params) => {
    return http.get("/cygx/askserie_video/detail", params);
  },
  /*问答新增 */
  askseriePreserveAndEdit: (params) => {
    return http.post("/cygx/askserie_video/preserveAndEdit", params);
  },
  /*发布/取消发布 */
  askseriePublishAndcancel: (params) => {
    return http.post("/cygx/askserie_video/publishAndcancel", params);
  },
  /*发布/取消发布 */
  activityVoiceAndVideoList: (params) => {
    return http.get("/cygx/activity_voice_and_video/list", params);
  },
  /*发布/取消发布 */
  activityVoiceAndVideoCommentList: (params) => {
    return http.get("/cygx/activity_voice_and_video/commentList", params);
  },
  
};
